<?php

/**
 * Fichero de funciones auxiliares para SocialSight
 * @version 0.2
 * @author Miguel Sempere Sanchez <miguel.sempere.sanchez@gmail.com>
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License, version 3 (GPLv3)
 */

require_once('./facebook.php');
require_once('./funcionesFB.php');

echo HTML();

MostrarCabecera("AMIGOS DEL USUARIO");
MostrarMenu();
session_start();


if (isset($_SESSION['ss'])){

	$ss=$_SESSION['ss'];
	$facebook=$ss->getInstancia();
	$accessToken=$ss->getAccessToken();
	$uid=getMeId($facebook);

	//tenemos un mensaje para expandir
	if(isset($_GET['idmensaje'])){

		$idMensaje=$_GET['idmensaje'];
		$comments=getComments($facebook,$_GET['idmensaje']);

		$likes=$comments[0]['likes']['count'];
		$numComments=$comments[0]['comments']['count'];

		//tenemos comentarios dentro del mensaje para mostrar
		if($numComments>0){
			$comment_list=$comments[0]['comments']['comment_list'];


			set_time_limit(0);

			for($i=0; $i<$numComments;$i++){

				echo "<div id=\"mensaje\" class=\"mensaje\">";

				$comment_from=$comments[0]['comments']['comment_list'][$i]['fromid'];
				$arrayPosteador=getUserFQL($facebook,$comment_from);
				$nombre=$arrayPosteador[0]['name'];
				$link2="<a href=\"/socialsight/amigos.php?id=".$comment_from."\" shape=\"rect\">".$nombre."</a>";
				$comment_time=$comments[0]['comments']['comment_list'][$i]['time'];
				$fecha=date("j \d\e F \a \l\a\s g:i",$comment_time);
				$comment_text=$comments[0]['comments']['comment_list'][$i]['text'];
				$cadena="El ".$fecha." ".$link2." escribio:<br/>".$comment_text.'<br/>';

				echo '<p>'.$cadena.'</p>';
				echo "</div>";
			}

			echo "<div id=\"inputTextArea\" class=\"inputTextArea\">";
			MostrarInputForm("responder_mensaje","");
			echo "</div>";
		}
		//el mensaje no tiene comentarios, es solo un mensaje
		else{
			echo "<div id=\"mensaje\" class=\"mensaje\">";
			echo "<p><br/>Nadie ha comentado este mensaje.<br/></p>";
			echo "</div>";
		}




	}
	else{
		echo"No se ha seleccionado ningun mensaje para expandir.";
	}

}
else{

	echo "Problemas al crear la sesin. Por favor intente acceder de nuevo mas tarde.";
}



?>